vrrp_instance PX_1 {
  interface {{ proxy.internal.ifx }}
  state MASTER
  priority 200
  virtual_router_id 47
  virtual_ipaddress {
    {{ proxy.internal.virtual_ip }}
  }
  authentication {
    auth_type PASS
    auth_pass {{ proxy.internal.vrrp_password }}
  }
  notify_master /etc/keepalived/master.sh
}

vrrp_instance PX_2 {
  interface {{ proxy.external.ifx }}
  state MASTER
  priority 200
  virtual_router_id 74
  virtual_ipaddress {
    {{ proxy.external.virtual_ip }}
  }
  authentication {
    auth_type PASS
    auth_pass {{ proxy.external.vrrp_password }}
  }
  notify_master /etc/keepalived/master.sh
}

vrrp_instance K8_1 {
  interface {{ proxy.internal.ifx }}
  state MASTER
  priority 200
  virtual_router_id 100
  virtual_ipaddress {
    {{ k8s.external_service_ip }}
  }
  authentication {
    auth_type PASS
    auth_pass {{ k8s.vrrp_password }}
  }
  notify_master /etc/keepalived/master.sh
}
